
<!-- markdownlint-disable MD041 -->
<p align="left"><img src="https://vulkan.lunarg.com/img/NewLunarGLogoBlack.png" alt="LunarG" width=263 height=113 /></p>
<p align="left">Copyright (c) 2021-2022 LunarG, Inc.</p>

<p align="center"><img src="./images/logo.png" width=400 /></p>

[![Creative Commons][3]][4]

[3]: https://i.creativecommons.org/l/by-nd/4.0/88x31.png "Creative Commons License"
[4]: https://creativecommons.org/licenses/by-nd/4.0/

# Vulkan Profiles Definitions

## Vulkan Profiles List

| Profiles | VP_KHR_roadmap_2022 | VP_ANDROID_baseline_2021 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_portability_2022 |
|----------|---------------------|--------------------------|---------------------------------|------------------------------------|
| Label | Khronos Vulkan Roadmap 2022 profile | Android Vulkan Baseline 2021 profile | LunarG Vulkan Desktop Baseline 2022 profile | LunarG Vulkan Desktop Portability 2022 profile |
| Description | This roadmap profile is intended to be supported by newer devices shipping in 2022 across mainstream smartphone, tablet, laptops, console and desktop devices. | Collection of functionality that is broadly supported on Android | A baseline desktop profile that supports Vulkan Header 139 | A macOS portability specific profile variant of VP_LUNARG_desktop_baseline_2022 |
| Version | 1 | 1 | 1 | 1 |
| Required API version | 1.3.204 | 1.0.68 | 1.1.139 | 1.1.208 |
| Fallback profiles | - | - | - | - |

## Vulkan Profiles Extensions

* :heavy_check_mark: indicates that the extension is defined in the profile
* "X.X Core" indicates that the extension is not defined in the profile but the extension is promoted to the specified core API version that is smaller than or equal to the minimum required API version of the profile
* :x: indicates that the extension is neither defined in the profile nor it is promoted to a core API version that is smaller than or equal to the minimum required API version of the profile

| Profiles | VP_KHR_roadmap_2022 | VP_ANDROID_baseline_2021 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_portability_2022 |
|----------|---------------------|--------------------------|---------------------------------|------------------------------------|
| **Instance extensions** |
| [VK_KHR_android_surface](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_android_surface.html) | :x: | :heavy_check_mark: | :x: | :x: |
| [VK_KHR_device_group_creation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_device_group_creation.html) | 1.1 Core | :x: | 1.1 Core | 1.1 Core |
| [VK_KHR_external_fence_capabilities](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_fence_capabilities.html) | 1.1 Core | :heavy_check_mark: | 1.1 Core | 1.1 Core |
| [VK_KHR_external_memory_capabilities](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_memory_capabilities.html) | 1.1 Core | :heavy_check_mark: | 1.1 Core | 1.1 Core |
| [VK_KHR_external_semaphore_capabilities](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_semaphore_capabilities.html) | 1.1 Core | :heavy_check_mark: | 1.1 Core | 1.1 Core |
| [VK_KHR_get_physical_device_properties2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_get_physical_device_properties2.html) | 1.1 Core | :heavy_check_mark: | 1.1 Core | 1.1 Core |
| [VK_KHR_get_surface_capabilities2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_get_surface_capabilities2.html) | :x: | :heavy_check_mark: | :x: | :x: |
| [VK_KHR_portability_enumeration](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_portability_enumeration.html) | :x: | :x: | :x: | :heavy_check_mark: |
| [VK_KHR_surface](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_surface.html) | :x: | :heavy_check_mark: | :x: | :x: |
| [VK_EXT_swapchain_colorspace](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_swapchain_colorspace.html) | :x: | :heavy_check_mark: | :x: | :x: |
| **Device extensions** |
| [VK_KHR_16bit_storage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_16bit_storage.html) | 1.1 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_8bit_storage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_8bit_storage.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_bind_memory2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_bind_memory2.html) | 1.1 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_buffer_device_address](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_buffer_device_address.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_KHR_copy_commands2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_copy_commands2.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_KHR_create_renderpass2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_create_renderpass2.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_dedicated_allocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_dedicated_allocation.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_depth_stencil_resolve](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_depth_stencil_resolve.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_descriptor_update_template](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_descriptor_update_template.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_device_group](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_device_group.html) | 1.1 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_draw_indirect_count](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_draw_indirect_count.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_KHR_driver_properties](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_driver_properties.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_dynamic_rendering](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_dynamic_rendering.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_KHR_external_fence](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_fence.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_external_fence_fd](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_fence_fd.html) | :x: | :heavy_check_mark: | :x: | :x: |
| [VK_KHR_external_memory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_memory.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_external_semaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_semaphore.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_external_semaphore_fd](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_semaphore_fd.html) | :x: | :heavy_check_mark: | :x: | :x: |
| [VK_KHR_format_feature_flags2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_format_feature_flags2.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_KHR_get_memory_requirements2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_get_memory_requirements2.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_global_priority](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_global_priority.html) | :heavy_check_mark: | :x: | :x: | :x: |
| [VK_KHR_image_format_list](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_image_format_list.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_imageless_framebuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_imageless_framebuffer.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_KHR_incremental_present](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_incremental_present.html) | :x: | :heavy_check_mark: | :x: | :x: |
| [VK_KHR_maintenance1](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance1.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_maintenance2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance2.html) | 1.1 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_maintenance3](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance3.html) | 1.1 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_maintenance4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance4.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_KHR_multiview](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_multiview.html) | 1.1 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_portability_subset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_portability_subset.html) | :x: | :x: | :x: | :heavy_check_mark: |
| [VK_KHR_relaxed_block_layout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_relaxed_block_layout.html) | 1.1 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_sampler_mirror_clamp_to_edge](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_sampler_mirror_clamp_to_edge.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_sampler_ycbcr_conversion](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_sampler_ycbcr_conversion.html) | 1.1 Core | :x: | 1.1 Core | 1.1 Core |
| [VK_KHR_separate_depth_stencil_layouts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_separate_depth_stencil_layouts.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_KHR_shader_atomic_int64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_atomic_int64.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_KHR_shader_draw_parameters](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_draw_parameters.html) | 1.1 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_shader_float16_int8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_float16_int8.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_shader_float_controls](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_float_controls.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_KHR_shader_integer_dot_product](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_integer_dot_product.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_KHR_shader_non_semantic_info](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_non_semantic_info.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_KHR_shader_subgroup_extended_types](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_subgroup_extended_types.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_KHR_shader_terminate_invocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_terminate_invocation.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_KHR_spirv_1_4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_spirv_1_4.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_KHR_storage_buffer_storage_class](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_storage_buffer_storage_class.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_swapchain](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_swapchain.html) | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_swapchain_mutable_format](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_swapchain_mutable_format.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_synchronization2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_synchronization2.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_KHR_timeline_semaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_timeline_semaphore.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_uniform_buffer_standard_layout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_uniform_buffer_standard_layout.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_variable_pointers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_variable_pointers.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_KHR_vulkan_memory_model](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_vulkan_memory_model.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_KHR_zero_initialize_workgroup_memory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_zero_initialize_workgroup_memory.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_EXT_4444_formats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_4444_formats.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_EXT_descriptor_indexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_descriptor_indexing.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_EXT_extended_dynamic_state](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_extended_dynamic_state.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_EXT_extended_dynamic_state2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_extended_dynamic_state2.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_EXT_host_query_reset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_host_query_reset.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_EXT_image_robustness](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_image_robustness.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_EXT_inline_uniform_block](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_inline_uniform_block.html) | 1.3 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_EXT_memory_budget](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_memory_budget.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_EXT_pipeline_creation_cache_control](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_pipeline_creation_cache_control.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_EXT_pipeline_creation_feedback](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_pipeline_creation_feedback.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_EXT_private_data](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_private_data.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_EXT_robustness2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_robustness2.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_EXT_sampler_filter_minmax](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_sampler_filter_minmax.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_EXT_scalar_block_layout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_scalar_block_layout.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_EXT_separate_stencil_usage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_separate_stencil_usage.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_EXT_shader_demote_to_helper_invocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_demote_to_helper_invocation.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_EXT_shader_viewport_index_layer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_viewport_index_layer.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_EXT_subgroup_size_control](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_subgroup_size_control.html) | 1.3 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_EXT_texel_buffer_alignment](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_texel_buffer_alignment.html) | 1.3 Core | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_EXT_texture_compression_astc_hdr](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_texture_compression_astc_hdr.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_EXT_tooling_info](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_tooling_info.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_EXT_vertex_attribute_divisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_vertex_attribute_divisor.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: |
| [VK_EXT_ycbcr_2plane_444_formats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_ycbcr_2plane_444_formats.html) | 1.3 Core | :x: | :x: | :x: |
| [VK_AMD_draw_indirect_count](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_AMD_draw_indirect_count.html) | 1.2 Core | :x: | :x: | :x: |
| [VK_GOOGLE_display_timing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_GOOGLE_display_timing.html) | :x: | :heavy_check_mark: | :x: | :x: |

## Vulkan Profile Features

> **NOTE**: The table below only contains features explicitly defined by the corresponding profile. Further features may be supported by the profiles in accordance to the requirements defined in the "Feature Requirements" section of the appropriate version of the Vulkan API Specification.

* :heavy_check_mark: indicates that the feature is defined in the profile (hover over the symbol to view the structure and corresponding extension or core API version where the feature is defined in the profile)
* :warning: indicates that the feature is not defined in the profile but an equivalent feature is (hover over the symbol to view the structure and corresponding extension or core API version where the feature is defined in the profile)
* :x: indicates that neither the feature nor an equivalent feature is defined in the profile

| Profiles | VP_KHR_roadmap_2022 | VP_ANDROID_baseline_2021 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_portability_2022 |
|----------|---------------------|--------------------------|---------------------------------|------------------------------------|
| **Vulkan 1.0** |
| [depthBiasClamp](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [depthClamp](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [drawIndirectFirstInstance](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [dualSrcBlend](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [fillModeNonSolid](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [fragmentStoresAndAtomics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [fullDrawIndexUint32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [imageCubeArray](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [independentBlend](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [inheritedQueries](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [largePoints](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [multiDrawIndirect](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [multiViewport](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [occlusionQueryPrecise](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [robustBufferAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [sampleRateShading](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [samplerAnisotropy](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [shaderClipDistance](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [shaderImageGatherExtended](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [shaderSampledImageArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [shaderStorageBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [shaderStorageImageArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [shaderStorageImageExtendedFormats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [shaderStorageImageWriteWithoutFormat](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [shaderTessellationAndGeometryPointSize](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [shaderUniformBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [tessellationShader](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [textureCompressionASTC_LDR](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: |
| [textureCompressionBC](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [textureCompressionETC2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: |
| [vertexPipelineStoresAndAtomics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| **Vulkan 1.1** |
| [multiview](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceMultiviewFeaturesKHR (VK_KHR_multiview)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceMultiviewFeaturesKHR (VK_KHR_multiview)">:warning:</span> |
| [samplerYcbcrConversion](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerYcbcrConversionFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [storageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | :x: | <span title="equivalent defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:warning:</span> | <span title="equivalent defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:warning:</span> |
| [uniformAndStorageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | :x: | <span title="equivalent defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:warning:</span> | <span title="equivalent defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:warning:</span> |
| [variablePointers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:warning:</span> |
| [variablePointersStorageBuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:warning:</span> |
| **Vulkan 1.2** |
| [bufferDeviceAddress](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceBufferDeviceAddressFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [descriptorBindingPartiallyBound](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [descriptorBindingSampledImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [descriptorBindingStorageBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [descriptorBindingStorageImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [descriptorBindingStorageTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [descriptorBindingUniformTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [descriptorBindingUpdateUnusedWhilePending](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [descriptorBindingVariableDescriptorCount](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [descriptorIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [hostQueryReset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceHostQueryResetFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceHostQueryResetFeaturesEXT (VK_EXT_host_query_reset)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceHostQueryResetFeaturesEXT (VK_EXT_host_query_reset)">:warning:</span> |
| [imagelessFramebuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImagelessFramebufferFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [runtimeDescriptorArray](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [samplerMirrorClampToEdge](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [scalarBlockLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceScalarBlockLayoutFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceScalarBlockLayoutFeaturesEXT (VK_EXT_scalar_block_layout)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceScalarBlockLayoutFeaturesEXT (VK_EXT_scalar_block_layout)">:warning:</span> |
| [separateDepthStencilLayouts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSeparateDepthStencilLayoutsFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [shaderInt8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderFloat16Int8Features.html) | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceFloat16Int8FeaturesKHR (VK_KHR_shader_float16_int8)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceFloat16Int8FeaturesKHR (VK_KHR_shader_float16_int8)">:warning:</span> |
| [shaderSampledImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [shaderStorageBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [shaderStorageImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [shaderStorageTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [shaderSubgroupExtendedTypes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderSubgroupExtendedTypesFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [shaderUniformBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [shaderUniformTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> |
| [storageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | :x: | <span title="equivalent defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:warning:</span> | <span title="equivalent defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:warning:</span> |
| [subgroupBroadcastDynamicId](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [timelineSemaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceTimelineSemaphoreFeaturesKHR (VK_KHR_timeline_semaphore)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceTimelineSemaphoreFeaturesKHR (VK_KHR_timeline_semaphore)">:warning:</span> |
| [uniformAndStorageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | :x: | <span title="equivalent defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:warning:</span> | <span title="equivalent defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:warning:</span> |
| [uniformBufferStandardLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceUniformBufferStandardLayoutFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceUniformBufferStandardLayoutFeaturesKHR (VK_KHR_uniform_buffer_standard_layout)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceUniformBufferStandardLayoutFeaturesKHR (VK_KHR_uniform_buffer_standard_layout)">:warning:</span> |
| [vulkanMemoryModel](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [vulkanMemoryModelDeviceScope](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| **Vulkan 1.3** |
| [computeFullSubgroups](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [descriptorBindingInlineUniformBlockUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> |
| [dynamicRendering](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDynamicRenderingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [inlineUniformBlock](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> |
| [maintenance4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Features.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [pipelineCreationCacheControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePipelineCreationCacheControlFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [robustImageAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImageRobustnessFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [shaderDemoteToHelperInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderDemoteToHelperInvocationFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [shaderIntegerDotProduct](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [shaderTerminateInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderTerminateInvocationFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [shaderZeroInitializeWorkgroupMemory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceZeroInitializeWorkgroupMemoryFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [subgroupSizeControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [synchronization2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSynchronization2Features.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| **VK_KHR_16bit_storage** |
| [storageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:heavy_check_mark:</span> |
| [uniformAndStorageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:heavy_check_mark:</span> |
| **VK_KHR_8bit_storage** |
| [storageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:heavy_check_mark:</span> |
| [uniformAndStorageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:heavy_check_mark:</span> |
| **VK_KHR_buffer_device_address** |
| [bufferDeviceAddress](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceBufferDeviceAddressFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: |
| **VK_KHR_dynamic_rendering** |
| [dynamicRendering](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDynamicRenderingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: |
| **VK_KHR_imageless_framebuffer** |
| [imagelessFramebuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImagelessFramebufferFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: |
| **VK_KHR_maintenance4** |
| [maintenance4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Features.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: |
| **VK_KHR_multiview** |
| [multiview](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceMultiviewFeaturesKHR (VK_KHR_multiview)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceMultiviewFeaturesKHR (VK_KHR_multiview)">:heavy_check_mark:</span> |
| **VK_KHR_portability_subset** |
| [constantAlphaColorBlendFactors](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePortabilitySubsetFeaturesKHR.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDevicePortabilitySubsetFeaturesKHR (VK_KHR_portability_subset)">:heavy_check_mark:</span> |
| [events](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePortabilitySubsetFeaturesKHR.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDevicePortabilitySubsetFeaturesKHR (VK_KHR_portability_subset)">:heavy_check_mark:</span> |
| [imageViewFormatReinterpretation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePortabilitySubsetFeaturesKHR.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDevicePortabilitySubsetFeaturesKHR (VK_KHR_portability_subset)">:heavy_check_mark:</span> |
| [imageViewFormatSwizzle](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePortabilitySubsetFeaturesKHR.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDevicePortabilitySubsetFeaturesKHR (VK_KHR_portability_subset)">:heavy_check_mark:</span> |
| [multisampleArrayImage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePortabilitySubsetFeaturesKHR.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDevicePortabilitySubsetFeaturesKHR (VK_KHR_portability_subset)">:heavy_check_mark:</span> |
| [mutableComparisonSamplers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePortabilitySubsetFeaturesKHR.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDevicePortabilitySubsetFeaturesKHR (VK_KHR_portability_subset)">:heavy_check_mark:</span> |
| [separateStencilMaskRef](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePortabilitySubsetFeaturesKHR.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDevicePortabilitySubsetFeaturesKHR (VK_KHR_portability_subset)">:heavy_check_mark:</span> |
| [vertexAttributeAccessBeyondStride](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePortabilitySubsetFeaturesKHR.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDevicePortabilitySubsetFeaturesKHR (VK_KHR_portability_subset)">:heavy_check_mark:</span> |
| **VK_KHR_sampler_ycbcr_conversion** |
| [samplerYcbcrConversion](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerYcbcrConversionFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: |
| **VK_KHR_separate_depth_stencil_layouts** |
| [separateDepthStencilLayouts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSeparateDepthStencilLayoutsFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: |
| **VK_KHR_shader_float16_int8** |
| [shaderInt8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderFloat16Int8Features.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFloat16Int8FeaturesKHR (VK_KHR_shader_float16_int8)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFloat16Int8FeaturesKHR (VK_KHR_shader_float16_int8)">:heavy_check_mark:</span> |
| **VK_KHR_shader_integer_dot_product** |
| [shaderIntegerDotProduct](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: |
| **VK_KHR_shader_subgroup_extended_types** |
| [shaderSubgroupExtendedTypes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderSubgroupExtendedTypesFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: |
| **VK_KHR_shader_terminate_invocation** |
| [shaderTerminateInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderTerminateInvocationFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: |
| **VK_KHR_synchronization2** |
| [synchronization2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSynchronization2Features.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: |
| **VK_KHR_timeline_semaphore** |
| [timelineSemaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceTimelineSemaphoreFeaturesKHR (VK_KHR_timeline_semaphore)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceTimelineSemaphoreFeaturesKHR (VK_KHR_timeline_semaphore)">:heavy_check_mark:</span> |
| **VK_KHR_uniform_buffer_standard_layout** |
| [uniformBufferStandardLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceUniformBufferStandardLayoutFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceUniformBufferStandardLayoutFeaturesKHR (VK_KHR_uniform_buffer_standard_layout)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceUniformBufferStandardLayoutFeaturesKHR (VK_KHR_uniform_buffer_standard_layout)">:heavy_check_mark:</span> |
| **VK_KHR_variable_pointers** |
| [variablePointers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:heavy_check_mark:</span> |
| [variablePointersStorageBuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:heavy_check_mark:</span> |
| **VK_KHR_vulkan_memory_model** |
| [vulkanMemoryModel](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: |
| [vulkanMemoryModelDeviceScope](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: |
| **VK_KHR_zero_initialize_workgroup_memory** |
| [shaderZeroInitializeWorkgroupMemory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceZeroInitializeWorkgroupMemoryFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: |
| **VK_EXT_descriptor_indexing** |
| [descriptorBindingPartiallyBound](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| [descriptorBindingSampledImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| [descriptorBindingStorageBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| [descriptorBindingStorageImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| [descriptorBindingStorageTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| [descriptorBindingUniformTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| [descriptorBindingUpdateUnusedWhilePending](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| [descriptorBindingVariableDescriptorCount](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| [runtimeDescriptorArray](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| [shaderSampledImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| [shaderStorageBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: |
| [shaderStorageImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| [shaderStorageTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: |
| [shaderUniformBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| [shaderUniformTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> |
| **VK_EXT_host_query_reset** |
| [hostQueryReset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceHostQueryResetFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceHostQueryResetFeaturesEXT (VK_EXT_host_query_reset)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceHostQueryResetFeaturesEXT (VK_EXT_host_query_reset)">:heavy_check_mark:</span> |
| **VK_EXT_image_robustness** |
| [robustImageAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImageRobustnessFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: |
| **VK_EXT_inline_uniform_block** |
| [descriptorBindingInlineUniformBlockUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> |
| [inlineUniformBlock](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> |
| **VK_EXT_pipeline_creation_cache_control** |
| [pipelineCreationCacheControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePipelineCreationCacheControlFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: |
| **VK_EXT_robustness2** |
| [robustImageAccess2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceRobustness2FeaturesEXT.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceRobustness2FeaturesEXT (VK_EXT_robustness2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceRobustness2FeaturesEXT (VK_EXT_robustness2)">:heavy_check_mark:</span> |
| **VK_EXT_scalar_block_layout** |
| [scalarBlockLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceScalarBlockLayoutFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceScalarBlockLayoutFeaturesEXT (VK_EXT_scalar_block_layout)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceScalarBlockLayoutFeaturesEXT (VK_EXT_scalar_block_layout)">:heavy_check_mark:</span> |
| **VK_EXT_shader_demote_to_helper_invocation** |
| [shaderDemoteToHelperInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderDemoteToHelperInvocationFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: |
| **VK_EXT_subgroup_size_control** |
| [computeFullSubgroups](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: |
| [subgroupSizeControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: |
| **VK_EXT_texel_buffer_alignment** |
| [texelBufferAlignment](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTexelBufferAlignmentFeaturesEXT.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentFeaturesEXT (VK_EXT_texel_buffer_alignment)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentFeaturesEXT (VK_EXT_texel_buffer_alignment)">:heavy_check_mark:</span> |
| **VK_EXT_vertex_attribute_divisor** |
| [vertexAttributeInstanceRateDivisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> |
| [vertexAttributeInstanceRateZeroDivisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> |

## Vulkan Profile Limits (Properties)

> **NOTE**: The table below only contains properties/limits explicitly defined by the corresponding profile. Further properties/limits may be supported by the profiles in accordance to the requirements defined in the "Limit Requirements" section of the appropriate version of the Vulkan API Specification.

* "valueWithRegularFont" indicates that the limit/property is defined in the profile (hover over the value to view the structure and corresponding extension or core API version where the limit/property is defined in the profile)
* "_valueWithItalicFont_" indicates that the limit/property is not defined in the profile but an equivalent limit/property is (hover over the symbol to view the structure and corresponding extension or core API version where the limit/property is defined in the profile)
* "-" indicates that neither the limit/property nor an equivalent limit/property is defined in the profile

| Profiles | VP_KHR_roadmap_2022 | VP_ANDROID_baseline_2021 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_portability_2022 |
|----------|---------------------|--------------------------|---------------------------------|------------------------------------|
| **Vulkan 1.0** |
| [bufferImageGranularity (min,mul)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> |
| [discreteQueuePriorities (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> |
| [framebufferColorSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [framebufferDepthSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [framebufferNoAttachmentsSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [framebufferStencilSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [lineWidthGranularity (min,mul)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.5</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> |
| [lineWidthRange (min-max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1,1)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1,1)</span> |
| [maxBoundDescriptorSets (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxClipDistances (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxColorAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxCombinedClipAndCullDistances (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxComputeSharedMemorySize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">32768</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">32768</span> |
| [maxComputeWorkGroupCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> |
| [maxComputeWorkGroupInvocations (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> |
| [maxCullDistances (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxDescriptorSetInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxDescriptorSetSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1800</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">48</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">640</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">640</span> |
| [maxDescriptorSetSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">576</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">48</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">80</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">80</span> |
| [maxDescriptorSetStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">155</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">155</span> |
| [maxDescriptorSetStorageBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxDescriptorSetStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">144</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">40</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">40</span> |
| [maxDescriptorSetUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">90</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">36</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">90</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">90</span> |
| [maxDescriptorSetUniformBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxDrawIndexedIndexValue (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4294967295</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4294967295</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4294967295</span> |
| [maxDrawIndirectCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1073741824</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1073741824</span> |
| [maxFragmentCombinedOutputResources (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxFragmentDualSrcAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> |
| [maxFragmentInputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">116</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">116</span> |
| [maxFragmentOutputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxFramebufferHeight (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> |
| [maxFramebufferLayers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> |
| [maxFramebufferWidth (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> |
| [maxGeometryInputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxGeometryOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxGeometryOutputVertices (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxGeometryShaderInvocations (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxGeometryTotalOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxImageArrayLayers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> |
| [maxImageDimension1D (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> |
| [maxImageDimension2D (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> |
| [maxImageDimension3D (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">512</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> |
| [maxImageDimensionCube (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> |
| [maxInterpolationOffset (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.4375</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.4375</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.4375</span> |
| [maxMemoryAllocationCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxPerStageDescriptorInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxPerStageDescriptorSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">200</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> |
| [maxPerStageDescriptorSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> |
| [maxPerStageDescriptorStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">30</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">31</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">31</span> |
| [maxPerStageDescriptorStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxPerStageDescriptorUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">15</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">15</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">15</span> |
| [maxPerStageResources (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">200</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">44</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">159</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">159</span> |
| [maxPushConstantsSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> |
| [maxSampleMaskWords (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> |
| [maxSamplerAllocationCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1024</span> |
| [maxSamplerAnisotropy (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> |
| [maxSamplerLodBias (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">14</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxStorageBufferRange (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1073741824</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1073741824</span> |
| [maxTessellationControlPerPatchOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">120</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">120</span> |
| [maxTessellationControlPerVertexInputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> |
| [maxTessellationControlPerVertexOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> |
| [maxTessellationControlTotalOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> |
| [maxTessellationEvaluationInputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> |
| [maxTessellationEvaluationOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> |
| [maxTessellationGenerationLevel (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> |
| [maxTessellationPatchSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">32</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">32</span> |
| [maxTexelBufferElements (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">67108864</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">67108864</span> |
| [maxTexelGatherOffset (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> |
| [maxTexelOffset (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> |
| [maxUniformBufferRange (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> |
| [maxVertexInputAttributeOffset (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> |
| [maxVertexInputAttributes (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">28</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">28</span> |
| [maxVertexInputBindingStride (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> |
| [maxVertexInputBindings (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">28</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">28</span> |
| [maxVertexOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">124</span> |
| [maxViewportDimensions (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(16384,16384)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(16384,16384)</span> |
| [maxViewports (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> |
| [minInterpolationOffset (min)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-0.5</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-0.5</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-0.5</span> |
| [minMemoryMapAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [minStorageBufferOffsetAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> |
| [minTexelBufferOffsetAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [minTexelGatherOffset (min)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> |
| [minTexelOffset (min)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> |
| [minUniformBufferOffsetAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [mipmapPrecisionBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">6</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [nonCoherentAtomSize (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [optimalBufferCopyOffsetAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [optimalBufferCopyRowPitchAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> |
| [pointSizeGranularity (min,mul)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.125</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> |
| [pointSizeRange (min-max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1,64)</span> |
| [sampledImageColorSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [sampledImageDepthSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [sampledImageIntegerSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [sampledImageStencilSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT \| VK_SAMPLE_COUNT_2_BIT \| VK_SAMPLE_COUNT_4_BIT)</span> |
| [sparseAddressSpaceSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [storageImageSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> |
| [subPixelInterpolationOffsetBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [subPixelPrecisionBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [subTexelPrecisionBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [timestampComputeAndGraphics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> |
| [viewportBoundsRange (min-max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8191)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-32768,32767)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-32768,32767)</span> |
| [viewportSubPixelBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| **Vulkan 1.1** |
| [maxMemoryAllocationSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance3Properties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceMaintenance3PropertiesKHR (VK_KHR_maintenance3)">_2147483648_</span> | <span title="equivalent defined in VkPhysicalDeviceMaintenance3PropertiesKHR (VK_KHR_maintenance3)">_2147483648_</span> |
| [maxMultiviewInstanceIndex (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewProperties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">134217727</span> | - | <span title="equivalent defined in VkPhysicalDeviceMultiviewPropertiesKHR (VK_KHR_multiview)">_134217727_</span> | <span title="equivalent defined in VkPhysicalDeviceMultiviewPropertiesKHR (VK_KHR_multiview)">_134217727_</span> |
| [maxMultiviewViewCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewProperties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">6</span> | - | <span title="equivalent defined in VkPhysicalDeviceMultiviewPropertiesKHR (VK_KHR_multiview)">_6_</span> | <span title="equivalent defined in VkPhysicalDeviceMultiviewPropertiesKHR (VK_KHR_multiview)">_6_</span> |
| [maxPerSetDescriptors (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance3Properties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceMaintenance3PropertiesKHR (VK_KHR_maintenance3)">_700_</span> | <span title="equivalent defined in VkPhysicalDeviceMaintenance3PropertiesKHR (VK_KHR_maintenance3)">_700_</span> |
| [subgroupSize (max,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupProperties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">4</span> | - | - | - |
| [subgroupSupportedOperations](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan11Properties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT \| VK_SUBGROUP_FEATURE_VOTE_BIT \| VK_SUBGROUP_FEATURE_ARITHMETIC_BIT \| VK_SUBGROUP_FEATURE_BALLOT_BIT \| VK_SUBGROUP_FEATURE_SHUFFLE_BIT \| VK_SUBGROUP_FEATURE_SHUFFLE_RELATIVE_BIT \| VK_SUBGROUP_FEATURE_QUAD_BIT)</span> | - | - | - |
| [subgroupSupportedStages](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan11Properties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SHADER_STAGE_COMPUTE_BIT \| VK_SHADER_STAGE_FRAGMENT_BIT)</span> | - | - | - |
| **Vulkan 1.2** |
| [independentResolve](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">_VK_TRUE_</span> |
| [independentResolveNone](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">_VK_TRUE_</span> |
| [maxDescriptorSetUpdateAfterBindInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">7</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_256_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_256_</span> |
| [maxDescriptorSetUpdateAfterBindSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_640_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_640_</span> |
| [maxDescriptorSetUpdateAfterBindSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_80_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_80_</span> |
| [maxDescriptorSetUpdateAfterBindStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_155_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_155_</span> |
| [maxDescriptorSetUpdateAfterBindStorageBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">4</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_8_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_8_</span> |
| [maxDescriptorSetUpdateAfterBindStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_40_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_40_</span> |
| [maxDescriptorSetUpdateAfterBindUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">72</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_90_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_90_</span> |
| [maxDescriptorSetUpdateAfterBindUniformBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">8</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_8_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_8_</span> |
| [maxPerStageDescriptorUpdateAfterBindInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">7</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_64_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_64_</span> |
| [maxPerStageDescriptorUpdateAfterBindSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_128_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_128_</span> |
| [maxPerStageDescriptorUpdateAfterBindSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_16_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_16_</span> |
| [maxPerStageDescriptorUpdateAfterBindStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_31_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_31_</span> |
| [maxPerStageDescriptorUpdateAfterBindStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_8_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_8_</span> |
| [maxPerStageDescriptorUpdateAfterBindUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">12</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_15_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_15_</span> |
| [maxPerStageUpdateAfterBindResources (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_159_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_159_</span> |
| [maxTimelineSemaphoreValueDifference (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">2147483647</span> | - | <span title="equivalent defined in VkPhysicalDeviceTimelineSemaphorePropertiesKHR (VK_KHR_timeline_semaphore)">_2147483647_</span> | <span title="equivalent defined in VkPhysicalDeviceTimelineSemaphorePropertiesKHR (VK_KHR_timeline_semaphore)">_2147483647_</span> |
| [maxUpdateAfterBindDescriptorsInAllPools (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_1048576_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_1048576_</span> |
| [quadDivergentImplicitLod](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> |
| [robustBufferAccessUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> |
| [shaderInputAttachmentArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> |
| [shaderSampledImageArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> |
| [shaderSignedZeroInfNanPreserveFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - |
| [shaderSignedZeroInfNanPreserveFloat32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - |
| [shaderStorageBufferArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> |
| [shaderStorageImageArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> |
| [shaderUniformBufferArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">_VK_TRUE_</span> |
| [supportedDepthResolveModes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">_(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)_</span> | <span title="equivalent defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">_(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)_</span> |
| [supportedStencilResolveModes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">_(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)_</span> | <span title="equivalent defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">_(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)_</span> |
| **Vulkan 1.3** |
| [maxBufferSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Properties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">1073741824</span> | - | - | - |
| [maxComputeWorkgroupSubgroups (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">_16_</span> | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">_16_</span> |
| [maxDescriptorSetInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> |
| [maxDescriptorSetUpdateAfterBindInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> |
| [maxInlineUniformBlockSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_256_</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_256_</span> |
| [maxInlineUniformTotalSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan13Properties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | - | - |
| [maxPerStageDescriptorInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> |
| [maxPerStageDescriptorUpdateAfterBindInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">_4_</span> |
| [maxSubgroupSize (max,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">_1_</span> | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">_1_</span> |
| [minSubgroupSize (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">_64_</span> | <span title="equivalent defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">_64_</span> |
| [requiredSubgroupSizeStages](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - |
| [storageTexelBufferOffsetAlignmentBytes (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTexelBufferAlignmentProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">_256_</span> | <span title="equivalent defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">_256_</span> |
| [uniformTexelBufferOffsetAlignmentBytes (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTexelBufferAlignmentProperties.html) | - | - | <span title="equivalent defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">_256_</span> | <span title="equivalent defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">_256_</span> |
| **VK_KHR_depth_stencil_resolve** |
| [independentResolve](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | <span title="defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">VK_TRUE</span> |
| [independentResolveNone](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | <span title="defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">VK_TRUE</span> |
| [supportedDepthResolveModes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | <span title="defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)</span> | <span title="defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)</span> |
| [supportedStencilResolveModes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | <span title="defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)</span> | <span title="defined in VkPhysicalDeviceDepthStencilResolvePropertiesKHR (VK_KHR_depth_stencil_resolve)">(VK_RESOLVE_MODE_SAMPLE_ZERO_BIT)</span> |
| **VK_KHR_maintenance3** |
| [maxMemoryAllocationSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance3Properties.html) | - | - | <span title="defined in VkPhysicalDeviceMaintenance3PropertiesKHR (VK_KHR_maintenance3)">2147483648</span> | <span title="defined in VkPhysicalDeviceMaintenance3PropertiesKHR (VK_KHR_maintenance3)">2147483648</span> |
| [maxPerSetDescriptors (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance3Properties.html) | - | - | <span title="defined in VkPhysicalDeviceMaintenance3PropertiesKHR (VK_KHR_maintenance3)">700</span> | <span title="defined in VkPhysicalDeviceMaintenance3PropertiesKHR (VK_KHR_maintenance3)">700</span> |
| **VK_KHR_maintenance4** |
| [maxBufferSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Properties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_1073741824_</span> | - | - | - |
| **VK_KHR_multiview** |
| [maxMultiviewInstanceIndex (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_134217727_</span> | - | <span title="defined in VkPhysicalDeviceMultiviewPropertiesKHR (VK_KHR_multiview)">134217727</span> | <span title="defined in VkPhysicalDeviceMultiviewPropertiesKHR (VK_KHR_multiview)">134217727</span> |
| [maxMultiviewViewCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_6_</span> | - | <span title="defined in VkPhysicalDeviceMultiviewPropertiesKHR (VK_KHR_multiview)">6</span> | <span title="defined in VkPhysicalDeviceMultiviewPropertiesKHR (VK_KHR_multiview)">6</span> |
| **VK_KHR_portability_subset** |
| [minVertexInputBindingStrideAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePortabilitySubsetPropertiesKHR.html) | - | - | - | <span title="defined in VkPhysicalDevicePortabilitySubsetPropertiesKHR (VK_KHR_portability_subset)">4</span> |
| **VK_KHR_shader_float_controls** |
| [shaderSignedZeroInfNanPreserveFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - |
| [shaderSignedZeroInfNanPreserveFloat32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - |
| **VK_KHR_timeline_semaphore** |
| [maxTimelineSemaphoreValueDifference (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_2147483647_</span> | - | <span title="defined in VkPhysicalDeviceTimelineSemaphorePropertiesKHR (VK_KHR_timeline_semaphore)">2147483647</span> | <span title="defined in VkPhysicalDeviceTimelineSemaphorePropertiesKHR (VK_KHR_timeline_semaphore)">2147483647</span> |
| **VK_EXT_descriptor_indexing** |
| [maxDescriptorSetUpdateAfterBindInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_7_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">256</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">256</span> |
| [maxDescriptorSetUpdateAfterBindSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">640</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">640</span> |
| [maxDescriptorSetUpdateAfterBindSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">80</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">80</span> |
| [maxDescriptorSetUpdateAfterBindStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">155</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">155</span> |
| [maxDescriptorSetUpdateAfterBindStorageBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_4_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">8</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">8</span> |
| [maxDescriptorSetUpdateAfterBindStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">40</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">40</span> |
| [maxDescriptorSetUpdateAfterBindUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_72_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">90</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">90</span> |
| [maxDescriptorSetUpdateAfterBindUniformBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_8_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">8</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">8</span> |
| [maxPerStageDescriptorUpdateAfterBindInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_7_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">64</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">64</span> |
| [maxPerStageDescriptorUpdateAfterBindSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">128</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">128</span> |
| [maxPerStageDescriptorUpdateAfterBindSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">16</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">16</span> |
| [maxPerStageDescriptorUpdateAfterBindStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">31</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">31</span> |
| [maxPerStageDescriptorUpdateAfterBindStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">8</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">8</span> |
| [maxPerStageDescriptorUpdateAfterBindUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_12_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">15</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">15</span> |
| [maxPerStageUpdateAfterBindResources (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">159</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">159</span> |
| [maxUpdateAfterBindDescriptorsInAllPools (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">1048576</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">1048576</span> |
| [quadDivergentImplicitLod](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> |
| [robustBufferAccessUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> |
| [shaderInputAttachmentArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> |
| [shaderSampledImageArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> |
| [shaderStorageBufferArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> |
| [shaderStorageImageArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> |
| [shaderUniformBufferArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceDescriptorIndexingPropertiesEXT (VK_EXT_descriptor_indexing)">VK_TRUE</span> |
| **VK_EXT_inline_uniform_block** |
| [maxDescriptorSetInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> |
| [maxDescriptorSetUpdateAfterBindInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> |
| [maxInlineUniformBlockSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_256_</span> | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">256</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">256</span> |
| [maxPerStageDescriptorInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> |
| [maxPerStageDescriptorUpdateAfterBindInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | - | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockPropertiesEXT (VK_EXT_inline_uniform_block)">4</span> |
| **VK_EXT_robustness2** |
| [robustStorageBufferAccessSizeAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceRobustness2PropertiesEXT.html) | - | - | <span title="defined in VkPhysicalDeviceRobustness2PropertiesEXT (VK_EXT_robustness2)">4</span> | <span title="defined in VkPhysicalDeviceRobustness2PropertiesEXT (VK_EXT_robustness2)">4</span> |
| [robustUniformBufferAccessSizeAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceRobustness2PropertiesEXT.html) | - | - | <span title="defined in VkPhysicalDeviceRobustness2PropertiesEXT (VK_EXT_robustness2)">256</span> | <span title="defined in VkPhysicalDeviceRobustness2PropertiesEXT (VK_EXT_robustness2)">256</span> |
| **VK_EXT_subgroup_size_control** |
| [maxComputeWorkgroupSubgroups (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | <span title="defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">16</span> | <span title="defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">16</span> |
| [maxSubgroupSize (max,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | <span title="defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">1</span> | <span title="defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">1</span> |
| [minSubgroupSize (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | <span title="defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">64</span> | <span title="defined in VkPhysicalDeviceSubgroupSizeControlPropertiesEXT (VK_EXT_subgroup_size_control)">64</span> |
| [requiredSubgroupSizeStages](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - |
| **VK_EXT_texel_buffer_alignment** |
| [storageTexelBufferOffsetAlignmentBytes (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTexelBufferAlignmentProperties.html) | - | - | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">256</span> | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">256</span> |
| [uniformTexelBufferOffsetAlignmentBytes (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTexelBufferAlignmentProperties.html) | - | - | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">256</span> | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentPropertiesEXT (VK_EXT_texel_buffer_alignment)">256</span> |
| **VK_EXT_vertex_attribute_divisor** |
| [maxVertexAttribDivisor (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorPropertiesEXT.html) | - | - | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorPropertiesEXT (VK_EXT_vertex_attribute_divisor)">268435455</span> | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorPropertiesEXT (VK_EXT_vertex_attribute_divisor)">268435455</span> |

## Vulkan Profile Queue Families

* "valueWithRegularFont" indicates that the queue family property is defined in the profile (hover over the value to view the structure and corresponding extension or core API version where the queue family property is defined in the profile)
* "_valueWithItalicFont_" indicates that the queue family property is not defined in the profile but an equivalent queue family property is (hover over the symbol to view the structure and corresponding extension or core API version where the queue family property is defined in the profile)
* "-" indicates that neither the queue family property nor an equivalent queue family property is defined in the profile
* Empty cells next to the properties of a particular queue family definition section indicate that the profile does not have a corresponding queue family definition

| Profiles | VP_KHR_roadmap_2022 | VP_ANDROID_baseline_2021 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_portability_2022 |
|----------|---------------------|--------------------------|---------------------------------|------------------------------------|

## Vulkan Profile Formats

> **NOTE**: The table below only contains formats and properties explicitly defined by the corresponding profile. Further formats and properties may be supported by the profiles in accordance to the requirements defined in the "Required Format Support" section of the appropriate version of the Vulkan API Specification.

* "valueWithRegularFont" indicates that the format property is defined in the profile (hover over the value to view the structure and corresponding extension or core API version where the format property is defined in the profile)
* "_valueWithItalicFont_" indicates that the format property is not defined in the profile but an equivalent format property is (hover over the symbol to view the structure and corresponding extension or core API version where the format property is defined in the profile)
* "-" indicates that neither the format property nor an equivalent format property is defined in the profile
* Empty cells next to the properties of a particular format definition section indicate that the profile does not have a corresponding format definition

| Profiles | VP_KHR_roadmap_2022 | VP_ANDROID_baseline_2021 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_portability_2022 |
|----------|---------------------|--------------------------|---------------------------------|------------------------------------|
| **VK_FORMAT_A1R5G5B5_UNORM_PACK16** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_A2B10G10R10_SNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_A2B10G10R10_UINT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_A2B10G10R10_UNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_A2R10G10B10_UNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_A8B8G8R8_SINT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_A8B8G8R8_SNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_A8B8G8R8_SRGB_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_A8B8G8R8_SSCALED_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_A8B8G8R8_UINT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_A8B8G8R8_UNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_A8B8G8R8_USCALED_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_ASTC_10x10_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_10x10_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_10x5_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_10x5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_10x6_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_10x6_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_10x8_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_10x8_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_12x10_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_12x10_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_12x12_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_12x12_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_4x4_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_4x4_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_5x4_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_5x4_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_5x5_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_5x5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_6x5_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_6x5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_6x6_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_6x6_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_8x5_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_8x5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_8x6_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_8x6_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_8x8_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ASTC_8x8_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_B10G11R11_UFLOAT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_B4G4R4A4_UNORM_PACK16** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_B8G8R8A8_SRGB** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_B8G8R8A8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC1_RGBA_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC1_RGBA_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC1_RGB_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC1_RGB_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC2_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC2_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC3_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC3_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC4_SNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC4_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC5_SNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC6H_SFLOAT_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC6H_UFLOAT_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC7_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_BC7_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_D16_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_D32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_D32_SFLOAT_S8_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_E5B9G9R9_UFLOAT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_EAC_R11G11_SNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_EAC_R11G11_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_EAC_R11_SNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_EAC_R11_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ETC2_R8G8B8A1_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ETC2_R8G8B8A1_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ETC2_R8G8B8A8_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ETC2_R8G8B8A8_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ETC2_R8G8B8_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_ETC2_R8G8B8_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_R16G16B16A16_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16G16B16A16_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16G16B16A16_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16G16B16A16_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R16G16B16A16_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16G16B16A16_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16G16B16A16_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R16G16_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16G16_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16G16_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16G16_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R16G16_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16G16_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16G16_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R16_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R16_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R16_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R32G32B32A32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R32G32B32A32_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R32G32B32A32_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R32G32B32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R32G32B32_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R32G32B32_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R32G32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R32G32_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R32G32_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R32_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R32_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R5G6B5_UNORM_PACK16** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |
| **VK_FORMAT_R8G8B8A8_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8G8B8A8_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8G8B8A8_SRGB** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8G8B8A8_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R8G8B8A8_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8G8B8A8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8G8B8A8_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R8G8_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8G8_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8G8_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R8G8_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8G8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8G8_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R8_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8_SSCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| **VK_FORMAT_R8_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT \| VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT \| VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT \| VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT \| VK_FORMAT_FEATURE_BLIT_SRC_BIT \| VK_FORMAT_FEATURE_BLIT_DST_BIT \| VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT \| VK_FORMAT_FEATURE_TRANSFER_SRC_BIT \| VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |
| **VK_FORMAT_R8_USCALED** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |
